
CREATE  PROCEDURE MIG_SITE_Sp
AS
BEGIN
		
	DELETE FROM MIG_SITE

	INSERT INTO MIG_SITE

	SELECT	ZZ_ID, SITE_KEY, 
			CONCAT('s', RIGHT(CONCAT('000', ( ROW_NUMBER() OVER (ORDER BY ZZ_ID))  ), 3)  ) AS SYNC_TASK_FIELD
	FROM	dbo.[SITE]

END

